<template>
    <div class="main-sidebar sidebar-dark-primary elevation-4">
        <!-- Brand Logo -->
        <a href="#" class="brand-link">
            <img src="https://cdn2.iconfinder.com/data/icons/building-219/66/2-512.png" alt="Prueba Jonathan Ordoñez"
                style="margin: 0 auto; display: block;" height="100">
        </a>

        <!-- Sidebar -->
        <div class="sidebar">
            <!-- Sidebar user (optional) -->
            <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                <div class="image">
                    <img :src="'https://avatar.oxro.io/avatar.svg?name=' + usuario.name" class="img-circle elevation-2">
                </div>
                <div class="info">
                    <router-link :to="{ name: 'usuario.ver', params: { id: usuario.id } }" class="d-block">
                        {{ usuario.name }}
                    </router-link>
                </div>
            </div>

            <!-- Sidebar Menu -->
            <nav id="nav" class="mt-2">
                <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                    data-accordion="false">
                    <!-- Add icons to the links using the .nav-icon class
                        with font-awesome or any other icon font library -->
                    <li class="nav-item">
                        <router-link :to="'/dashboard'" class="nav-link">
                            <i class="nav-icon fas fa-tachometer-alt"></i>
                            <p>Dashboard</p>
                        </router-link>
                    </li>
                    <li class="nav-header">Módulos</li>
                    <li class="nav-item">
                        <router-link :to="'/documentos'" class="nav-link">
                            <i class="nav-icon fas fa-users"></i>
                            <p>
                                Documentos
                                <i class="right fas fa-angle-left"></i>
                            </p>
                        </router-link>
                        <ul class="nav nav-treeview" style="display: none;">
                            <li class="nav-item">
                                <router-link :to="'/procesos'" class="nav-link active">
                                    <i class="fas fa-angle-right nav-icon"></i>
                                    <p>Proceso</p>
                                </router-link>
                                <router-link :to="'/tipos'" class="nav-link active">
                                    <i class="fas fa-angle-right nav-icon"></i>
                                    <p>Tipo</p>
                                </router-link>
                            </li>
                        </ul>
                    </li>  
                </ul>
            </nav>

            <div class="version-app">versión 0.0.1</div>
            <!-- /.sidebar-menu -->
        </div>
        <!-- /.sidebar -->
    </div>
</template>

<script>
export default {
    props: ['ruta', 'usuario'],
    data() {
        return {
            fullscreenLoading: false,
        }
    },
    methods: {
        desencriptarLinea() {
            /*axios.post('/salas/lineas')
            .then(response=> {
                console.log(response.data);
                return this.lineas = response.data;
            });*/
        },
    }
}
</script> 

<style >
body:not(.layout-fixed) .main-sidebar {
    position: fixed;
}

#nav a.router-link-exact-active {
    color: #1e88e5;
    border-color: #1e88e5;
    border-left: 3px solid #009efb;
}

.version-app {
    position: absolute;
    bottom: 0;
    color: white;
    font-size: 10px;
}
</style>